package main

/*
	this parses the command line arguements

	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/dev/alexflint/arg"
	"go.wit.com/lib/debugger"
	"go.wit.com/log"
)

var args struct {
	NoGui   bool   `arg:"--no-gui"      help:"don't open the gui, just make the .deb"`
	Repo    string `arg:"--repo"        help:"go get path to the repo"`
	PkgDir  string `arg:"--pkg-dir"     help:"set default directory (~/incoming/)"`
	Release bool   `arg:"--release"     help:"build a release from the last git tag"`
}

func init() {
	arg.MustParse(&args)

	if debugger.ArgDebug() {
		log.Info("cmd line --debugger == true")
	} else {
		log.Info("cmd line --debugger == false")
	}
}
